<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head th:include="fragments/head :: head">
    <meta charset="UTF-8"/>
    <title>Games</title>

</head>
<body class="black">
<!--/*@thymesVar id="game" type="com.pos_land.steam.domain.Game"*/-->
<div th:include="fragments/header :: header"></div>
<div th:include="fragments/modal :: modal"></div>

<div class="container-fluid">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h1>Games</h1>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <a href="#" th:href="@{'/game/create'}" class="btn btn-success"><span class="glyphicon glyphicon-plus"></span> Create new Game</a>
        </div>
    </div>
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="table-responsive">
                <table class="table table-hover">
                    <thead class="thead-inverse">
                    <tr>
                        <th class="col-md-1">ID</th>
                        <th class="col-md-3">Name</th>
                        <th class="col-md-2">Publisher</th>
                        <th class="col-md-2">Releasedate</th>
                        <th class="col-md-4">Options</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr th:each="game : ${games}">
                        <td class="col-md-1" th:text="${game.getId()}">1</td>
                        <td class="col-md-3" th:text="${game.getGameName()}">Name of Game</td>

                        <!--essentially an if-else to make sure we are not getting an NPE-->
                        <td class="col-md-2" th:if="${game.getPublisher() != null}"
                            th:text="${game.getPublisher().publisherName}">Name Publisher
                        </td>
                        <td class="col-md-2" th:if="${game.getPublisher() == null}" th:text="''">Name Publisher</td>

                        <td class="col-md-2" th:text="${game.getReleaseDate()}">Release Date</td>
                        <td class="col-md-4">
                            <a href="#"
                               th:href="@{'/game/'+${game.id} + '/view'}"
                               class="btn btn-info">Details</a>
                            <a href="#"
                               th:href="@{'/game/'+${game.id} + '/update'}"
                               class="btn btn-warning">Edit</a>
                            <a th:onclick="'javascript:hrefForDeletingElement(\'game\', ' + ${game.getId()} + ')'"
                               class="btn btn-danger">Remove</a>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="container-popup">
                <a class="btn btn-primary" href="#" th:href="@{'/'}">Home</a>
            </div>
        </div>
    </div>

</div>

<script src="../static/js/remove.js" th:src="@{/js/remove.js}" type="text/javascript"></script>

</body>

<script src="../static/js/popup.js" th:src="@{/js/popup.js}" type="text/javascript"></script>

</html>